CUTLASS: cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize > Struct Template Reference

Template mapping a column-major view of pitch-linear memory to VoltaTensorOpMultiplicandCongruous.

`#include <tensor_op_multiplicand_sm70.h>`

## Public Types
using | Index = int32_t
| Index type used for coordinates. More...
using | LongIndex = int64_t
| Long index type used for offsets. More...
using | TensorCoord = MatrixCoord
| Logical coordinate. More...
using | Stride = Coord< kStrideRank, Index, LongIndex >
| Stride vector. More...
using | Base = VoltaTensorOpMultiplicandCongruous< ElementSize >
using | TileShape = typename Base::TileShape
using | PartitionShape = typename Base::PartitionShape
using | PartitionCount = typename Base::PartitionCount
using | AccessCount = typename Base::AccessCount

## Public Member Functions
CUTLASS_HOST_DEVICE | ColumnMajorVoltaTensorOpMultiplicandCongruous (Index ldm=0)
| Ctor. More...
CUTLASS_HOST_DEVICE | ColumnMajorVoltaTensorOpMultiplicandCongruous (Stride stride)
| Ctor. More...
CUTLASS_HOST_DEVICE LongIndex | operator() (TensorCoord const &coord) const
CUTLASS_HOST_DEVICE TensorCoord | inverse (LongIndex offset) const
| Inverse of layout function, mapping linear offset to logical coordinate. More...
CUTLASS_HOST_DEVICE Stride | stride () const
| Returns the stride of the layout. More...
CUTLASS_HOST_DEVICE Stride & | stride ()
| Returns the stride of the layout. More...
CUTLASS_HOST_DEVICE LongIndex | capacity (TensorCoord const &extent) const
| Compute the number of contiguous elements needed to store a tensor with the given size. More...

## Static Public Member Functions
static CUTLASS_HOST_DEVICE ColumnMajorVoltaTensorOpMultiplicandCongruous | packed (TensorCoord const &extent)
| Helper returns a layout to a tightly packed tensor. More...

## Static Public Attributes
static int const | kRank = 2
| Logical rank of tensor. More...
static int const | kStrideRank = 1
| Rank of stride vector. More...
static int const | kAccessSize = Base::kAccessSize
| This layout is optimized for 128b accesses. More...
static int const | kElementSize = Base::kElementSize
static int const | kElementsPerAccess = Base::kElementsPerAccess

## Member Typedef Documentation

template<int ElementSize>

using cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::AccessCount = typename Base::AccessCount

template<int ElementSize>

using cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::Base = VoltaTensorOpMultiplicandCongruous<ElementSize>

template<int ElementSize>

using cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::Index = int32_t

template<int ElementSize>

using cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::LongIndex = int64_t

template<int ElementSize>

using cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::PartitionCount = typename Base::PartitionCount

template<int ElementSize>

using cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::PartitionShape = typename Base::PartitionShape

template<int ElementSize>

using cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::Stride = Coord<kStrideRank, Index, LongIndex>

template<int ElementSize>

using cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::TensorCoord = MatrixCoord

template<int ElementSize>

using cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::TileShape = typename Base::TileShape

## Constructor & Destructor Documentation

template<int ElementSize>

CUTLASS_HOST_DEVICE cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::ColumnMajorVoltaTensorOpMultiplicandCongruous | ( | Index | ldm = `0` | ) |
| inline

template<int ElementSize>

CUTLASS_HOST_DEVICE cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::ColumnMajorVoltaTensorOpMultiplicandCongruous | ( | Stride | stride | ) |
| inline

## Member Function Documentation

template<int ElementSize>

CUTLASS_HOST_DEVICE LongIndex cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::capacity | ( | TensorCoord const & | extent | ) | const
| inline

template<int ElementSize>

CUTLASS_HOST_DEVICE TensorCoord cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::inverse | ( | LongIndex | offset | ) | const
| inline

template<int ElementSize>

CUTLASS_HOST_DEVICE LongIndex cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::operator() | ( | TensorCoord const & | coord | ) | const
| inline

Returns the offset of a coordinate in linear memory. Assumes coordinate has convention (contiguous, strided)

template<int ElementSize>

static CUTLASS_HOST_DEVICE ColumnMajorVoltaTensorOpMultiplicandCongruous cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::packed | ( | TensorCoord const & | extent | ) |
| inlinestatic

template<int ElementSize>

CUTLASS_HOST_DEVICE Stride cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::stride | ( |  | ) | const
| inline

template<int ElementSize>

CUTLASS_HOST_DEVICE Stride& cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::stride | ( |  | ) |
| inline

## Member Data Documentation

template<int ElementSize>

int const cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::kAccessSize = Base::kAccessSize
| static

template<int ElementSize>

int const cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::kElementSize = Base::kElementSize
| static

template<int ElementSize>

int const cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::kElementsPerAccess = Base::kElementsPerAccess
| static

template<int ElementSize>

int const cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::kRank = 2
| static

template<int ElementSize>

int const cutlass::layout::ColumnMajorVoltaTensorOpMultiplicandCongruous< ElementSize >::kStrideRank = 1
| static

The documentation for this struct was generated from the following file:

- tensor_op_multiplicand_sm70.h